Bug 1462203 (CVE-2017-7375) - CVE-2017-7375 libxml2: Missing validation for external entities in xmlParsePEReference
Summary: CVE-2017-7375 libxml2: Missing validation for external entities in xmlParsePE...
Status: NEW
Alias: CVE-2017-7375
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170417,repor...
Keywords: Security
Depends On: 1462227 1695415 1462226 1462228 1525811
Blocks: 1462234 1658297
TreeView+ depends on / blocked
 
Reported: 2017-06-16 12:19 UTC by Adam Mariš
Modified: 2019-04-14 12:57 UTC (History)
29 users (show)

Fixed In Version: libxml2 2.9.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Mariš 2017-06-16 12:19:18 UTC
Missing validation for external entities was found in xmlParsePEReference that can lead to XXE attack.

Upstream bug (private at the moment):

https://bugzilla.gnome.org/show_bug.cgi?id=780691

Android patch:

https://android.googlesource.com/platform/external/libxml2/+/308396a55280f69ad4112d4f9892f4cbeff042aa

References:

https://source.android.com/security/bulletin/2017-06-01#libraries

Comment 1 Adam Mariš 2017-06-16 12:48:43 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1462226]


Created mingw-libxml2 tracking bugs for this issue:

Affects: epel-7 [bug 1462227]
Affects: fedora-all [bug 1462228]

Comment 5 Doran Moppert 2019-01-21 00:45:14 UTC
Upstream patch:

https://gitlab.gnome.org/GNOME/libxml2/commit/90ccb582


Note You need to log in before you can comment on or make changes to this bug.